export const QueryList = {
    FILTER_PAGINATION: `SELECT "t1"."id" AS "id", "t1"."name" AS "name", "t1"."username" AS "username", "t1"."email" AS "email", "t1"."point" AS "point" FROM "public"."ptc_users" "t1" WHERE "t1"."name" = 'roy' AND "t1"."name" LIKE '%roy%' AND "t1"."name" LIKE '%roy' AND "t1"."name" LIKE 'roy%' AND "t1"."name" ILIKE '%roy%' AND "t1"."name" ILIKE '%roy' AND "t1"."name" ILIKE 'roy%' AND "t1"."username" IS NULL AND "t1"."name" IN ('roy,martin') AND "t1"."name" <> 'yor' AND "t1"."point" BETWEEN '1' AND '2' AND "t1"."create_date_time" >= '2020-11-15T00:00:00.000Z' AND "t1"."create_date_time" < '2020-11-25T00:00:00.000Z' AND "t1"."create_date_time" > '2020-11-15T00:00:00.000Z' AND "t1"."create_date_time" <= '2020-11-25T00:00:00.000Z' AND "t1"."is_deleted" = 'false' ORDER BY "t1"."name" ASC, "t1"."email" DESC LIMIT 10`,
    ERROR_SELECT: `SELECT "t1"."id" AS "t1_id", "t1"."name" AS "t1_name" FROM "public"."ptc_users" "t1"`,
    ISOLATED_WHERE: `SELECT "t1"."id" AS "id", "t1"."name" AS "name" FROM "public"."ptc_users" "t1" WHERE url IS NOT NULL AND ("t1"."name" = 'roy' OR "t1"."username" = 'roygrindelwald') OR ("t1"."email" = 'roygrindelwald@gmail.com' AND "t1"."password" IS NOT NULL)`,
    ADD_FROM: `SELECT "t2"."url" AS "url", "t1"."id" AS "id", "t1"."name" AS "name" FROM "public"."ptc_users" "t1", "public"."ptc_photos" "t2"`,
    DISTINCT: `SELECT DISTINCT "t2"."url" AS "url", "t1"."id" AS "id", "t1"."name" AS "name" FROM "public"."ptc_users" "t1", "public"."ptc_photos" "t2"`,
    DISTINCT_ON: `SELECT DISTINCT ON ("t2"."id", t2.name) "t2"."url" AS "url", "t1"."id" AS "id", "t1"."name" AS "name" FROM "public"."ptc_users" "t1", "public"."ptc_photos" "t2"`,
    ERROR_RELATION: `Property 'photos' does not exist on type 'Partial<{ id: string; isDeleted: boolean; userId: string; createDateTime: Partial<{ toString: Partial<{}> & (() => string); toDateString: Partial<{}> & (() => string); toTimeString: Partial<...> & (() => string); ... 40 more ...; getVarDate: Partial<...> & (() => VarDate); }> & Date; ... 7 more ...; reload: Partial<...'.`,
    LEFT_JOIN: `SELECT "t1"."id" AS "id", "t1"."name" AS "name", "t2"."url" AS "url" FROM "public"."ptc_users" "t1" LEFT JOIN "public"."ptc_users_photos_ptc_photos" "t1_t2" ON "t1_t2"."ptcUsersId"="t1"."id" LEFT JOIN "public"."ptc_photos" "t2" ON "t2"."id"="t1_t2"."ptcPhotosId" AND ("t2"."is_deleted" = 'false')`,
    LEFT_JOIN_RAW: `SELECT "t1"."id" AS "id", "t1"."name" AS "name", "t2"."url" AS "url" FROM "public"."ptc_users" "t1" LEFT JOIN "public"."ptc_users_photos_ptc_photos" "t1_t2" ON "t1_t2"."ptcUsersId"="t1"."id" LEFT JOIN "public"."ptc_photos" "t2" ON "t2"."id"="t1_t2"."ptcPhotosId"`,
    HAVING: `SELECT "t1"."id" AS "id", "t1"."url" AS "url", "t1"."filename" AS "name" FROM "public"."ptc_photos" "t1"  HAVING "t1"."filename" = 'typeorm' OR "t1"."url" = 'https://image.com/typeorm.jpg'`,
    INNER_JOIN: `SELECT "t1"."id" AS "id", "t1"."name" AS "name", "t2"."url" AS "url" FROM "public"."ptc_users" "t1" INNER JOIN "public"."ptc_users_photos_ptc_photos" "t1_t2" ON "t1_t2"."ptcUsersId"="t1"."id" INNER JOIN "public"."ptc_photos" "t2" ON "t2"."id"="t1_t2"."ptcPhotosId" AND ("t2"."is_deleted" = 'false')`,
    INNER_JOIN_RAW: `SELECT "t1"."id" AS "id", "t1"."name" AS "name", "t2"."url" AS "url" FROM "public"."ptc_users" "t1" INNER JOIN "public"."ptc_users_photos_ptc_photos" "t1_t2" ON "t1_t2"."ptcUsersId"="t1"."id" INNER JOIN "public"."ptc_photos" "t2" ON "t2"."id"="t1_t2"."ptcPhotosId"`,
    DEEP_RELATION_WHERE: `SELECT "t1"."id" AS "id", "t1"."name" AS "name", "t2"."url" AS "url" FROM "public"."ptc_users" "t1" LEFT JOIN "public"."ptc_users_photos_ptc_photos" "t1_t2" ON "t1_t2"."ptcUsersId"="t1"."id" LEFT JOIN "public"."ptc_photos" "t2" ON "t2"."id"="t1_t2"."ptcPhotosId" AND ("t2"."is_deleted" = 'false') WHERE "t2"."url" IS NOT NULL`,
    MULTI_CONDITION_JOIN: `SELECT "t1"."id" AS "id", "t1"."name" AS "name", "t2"."url" AS "url" FROM "public"."ptc_users" "t1" INNER JOIN "public"."ptc_users_photos_ptc_photos" "t1_t2" ON "t1_t2"."ptcUsersId"="t1"."id" INNER JOIN "public"."ptc_photos" "t2" ON "t2"."id"="t1_t2"."ptcPhotosId" AND ("t2"."is_deleted" = 'false' AND "t2"."url" IS NOT NULL)`,
    DEEP_RELATION_JOIN: `SELECT "t1"."id" AS "id", "t2"."name" AS "pic", "t3"."url" AS "photo", "t1"."branch_name" AS "branchName" FROM "public"."ptc_branch" "t1" INNER JOIN "public"."ptc_users" "t2" ON "t2"."id"="t1"."user_id" AND ("t2"."is_deleted" = 'false')  INNER JOIN "public"."ptc_users_photos_ptc_photos" "t2_t3" ON "t2_t3"."ptcUsersId"="t2"."id" INNER JOIN "public"."ptc_photos" "t3" ON "t3"."id"="t2_t3"."ptcPhotosId" AND ("t3"."is_deleted" = 'false' AND "t3"."url" IS NOT NULL)`,
    GROUP_BY: `SELECT "t1"."id" AS "id", "t1"."name" AS "name" FROM "public"."ptc_users" "t1"  GROUP BY "t1"."name"`,
    MULTI_GROUP_BY: `SELECT "t1"."id" AS "id", "t1"."name" AS "name" FROM "public"."ptc_users" "t1"  GROUP BY "t1"."id", "t1"."name"`,
    SELECT_SUB_QUERY: `SELECT "t1"."id" AS "id", "t1"."name" AS "name", (SELECT "photo"."filename" AS "fileName" FROM "public"."ptc_photos" "photo") AS "photo" FROM "public"."ptc_users" "t1"`,
    FROM_SUB_QUERY: `SELECT "t1"."id" AS "id", photo.fileName AS "name" FROM "public"."ptc_users" "t1", (SELECT "photo"."filename" AS "fileName" FROM "public"."ptc_photos" "photo" WHERE "photo"."filename" = 'typeorm.jpg') "photo"`,
    WHERE_SUB_QUERY: `SELECT "t1"."id" AS "id", "t1"."name" AS "name", "t2"."url" AS "url" FROM "public"."ptc_users" "t1" INNER JOIN "public"."ptc_users_photos_ptc_photos" "t1_t2" ON "t1_t2"."ptcUsersId"="t1"."id" INNER JOIN "public"."ptc_photos" "t2" ON "t2"."id"="t1_t2"."ptcPhotosId" WHERE "t1"."username" IN (SELECT "t1"."username" AS "username" FROM "public"."ptc_users" "t1" WHERE "t1"."is_deleted" = 'false') OR "t1"."username" NOT IN (SELECT "t1"."username" AS "username" FROM "public"."ptc_users" "t1" WHERE "t1"."is_deleted" = 'false')`,
    INNER_JOIN_SUB_QUERY: `SELECT "t1"."id" AS "id", "t1"."name" AS "name", t2.branchName AS "branch" FROM "public"."ptc_users" "t1" INNER JOIN (SELECT "branch"."user_id" AS "userId", "branch"."branch_name" AS "branchName" FROM "public"."ptc_branch" "branch") "t2"`,
    INNER_JOIN_SUB_QUERY_WITH_CONDITION: `SELECT "t1"."id" AS "id", "t1"."name" AS "name", t2.branchName AS "branch" FROM "public"."ptc_users" "t1" INNER JOIN (SELECT "branch"."user_id" AS "userId", "branch"."branch_name" AS "branchName" FROM "public"."ptc_branch" "branch") "t2" ON t2.userId = "t1"."id"`,
    LEFT_JOIN_SUB_QUERY_WITHOUT_CONDITION: `SELECT "t1"."id" AS "id", "t1"."name" AS "name", t2.branchName AS "branch" FROM "public"."ptc_users" "t1" LEFT JOIN (SELECT "branch"."user_id" AS "userId", "branch"."branch_name" AS "branchName" FROM "public"."ptc_branch" "branch") "t2"`,
    LEFT_JOIN_SUB_QUERY: `SELECT "t1"."id" AS "id", "t1"."name" AS "name", t2.branchName AS "branch" FROM "public"."ptc_users" "t1" LEFT JOIN (SELECT "branch"."user_id" AS "userId", "branch"."is_deleted" AS "isDeleted", "branch"."branch_name" AS "branchName" FROM "public"."ptc_branch" "branch") "t2" ON t2.userId = "t1"."id" AND t2.isDeleted = 'false'`,
    COUNT: ``,
    SUM: ``,
    MAX: ``,
    MIN: ``,
    AVG: ``,
};